﻿/*
 * *Created by PoLeung
 * *Email 30930572@qq.com
 * *Create date 2020-12-29
 * *Copyright LockDataV
 * *Desc data visualization project based on Echarts4.0.
 */

@charset "utf-8";
* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box
}

*, body {
    padding: 0px;
    margin: 0px;
    font-family: "微软雅黑";
}

html, body {
    height: 100%;
}

html {
    font-size: 16px;
}

body {
    color: rgba(0, 0, 0, .4);
    background: rgba(255, 255, 255, 1);
    -moz-user-select: none;
    -khtml-user-select: none;
    user-select: none;
}

li {
    list-style-type: none;
}

i {
    margin: 0px;
    padding: 0px;
    text-indent: 0px;
}

/*img {
    border: none;
    max-width: 100%;
}*/

a {
    text-decoration: none;
    color: #000;
}

a.active, a:focus {
    outline: none !important;
    text-decoration: none;
}

ol, ul, p, h1, h2, h3, h4, h5, h6 {
    padding: 0;
    margin: 0
}

a:hover {
    color: #06c;
    text-decoration: none !important
}

.clearfix:after, .clearfix:before {
    display: table;
    content: " "
}

.clearfix:after {
    clear: both
}

/*定义滚动条高宽及背景 高宽分别对应横竖滚动条的尺寸*/
::-webkit-scrollbar {
    width: 8px;
    height: 8px;
    background-color: rgba(255, 255, 255, 0.2);
}

/*定义滚动条轨道 内阴影+圆角*/
::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 8px rgba(1, 170, 237, 0.5);
    border-radius: 2px;
    background-color: rgba(1, 170, 237, 0.2);
}

/*定义滑块 内阴影+圆角*/
::-webkit-scrollbar-thumb {
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 8px #2F4056;
    background-color: #555;
}

/*加载动画*/
.loading {
    position: fixed;
    left: 0;
    top: 0;
    font-size: 16px;
    z-index: 100000000;
    width: 100%;
    height: 100%;
    background: #1a1a1c;
    text-align: center;
}

.loadbox {
    position: absolute;
    width: 160px;
    height: 150px;
    color: rgba(255, 255, 255, .6);
    left: 50%;
    top: 50%;
    margin-top: -100px;
    margin-left: -75px;
}

.loadbox img {
    margin: 10px auto;
    display: block;
    width: 40px;
}

.top {
    height: 60px;
    width: 100%;
    float: left;
    line-height: 60px;
    margin: 0px auto;
    text-align: center;
    background: #2F4056;
}

.t1 {
    font-size: 1.8rem;
    color: #fff;
}

.t1 img {
    width: 48px;
    margin: 0 10px;
    opacity: 0.7;
}

.t1 img:hover {
    opacity: 1;
    cursor: pointer;
}

#btn {
    float: right;
    margin: 15px;
    background-color: rgba(255, 255, 255, 0);
    background-image: url(../images/button.png);
    background-repeat: no-repeat;
    background-size: 100%;
    transition: all 0.5s;
    transform: rotate(90deg);
    cursor: pointer;
    width: 30px;
    height: 30px;
    border: 0;
    outline: none;
}

/*大屏主体设置*/
.mainbox {
    padding: 0px;
    width: 100%;
    height: calc(100% - 60px);
    position: relative;
}

/*地图定位*/
#map {
    float: left;
    width: 100%;
    height: 100%;
}

.pannel {
    position: absolute;
    top: 50px;
    right: 10px;
    z-index: 999;
    width: 390px;
    border-radius: 5px;
    padding: 5px;
    background: #fff;
}

/*列表框滚动*/
.nice {
    position: absolute;
    width: 390px;
    height: 500px;
    top: 240px;
    right: 10px;
    border-radius: 5px;
    background: #fff;
    padding: 5px;
    margin: 5px auto;
}

/*layui样式调整*/
.lay_search {
    border-radius: 5px;
    background: #fff;
    margin: 10px auto;
    padding: 10px;
}

.lay_select {
    width: 85px;
}

.lay_input1 {
    width: 110px;
}

.lay_btn1 {
    background: #01AAED;
}

.lay_mar1 {
    margin: 3px auto;
}

.layui-laypage .layui-laypage-curr .layui-laypage-em {
    background: #01AAED;
}


#container {
    height: 100%;
}

.BMapLabel {
    background: none !important;
    border: none !important;
    max-width: 100%;
}

.content {
    float: left;
    width: 300px;
    height: auto;
    padding: 8px;
    height: 100%;
    font-size: 14px;
    background: #FFF;
    border-radius: 10px;
    white-space: pre-wrap; /*强制换行*/
}

/*弹窗信息*/
.popup {
    padding: 20px;
    margin-top: 20px;
    text-indent: 32px;
    overflow: hidden;
    color: #fff;
    line-height: 150%;
    font-size: 16px;
}

.popupbg {
    background: rgba(255, 255, 255, 0) url("../images/popbg.png") no-repeat center top;
    background-size: 100%;
    box-shadow: 0 0 0 rgba(0, 0, 0, 0); /*阴影*/
}

/*底部菜单*/
.nav {
    position: fixed;
    right: 20px;
    bottom: 10px;
    height: 60px;

}

.nav li a {
    color: #fff;
    text-decoration: none;
    display: block;
    float: left;
    height: 30px;
    width: 100%;
    padding: 0px 15px;
    text-align: center;
    font-size: 12px;
    border-radius: 2px;
    background: rgba(99, 104, 113, 0.7);
}

.nav li a:hover {
    background: #4b505a;
}

.nav li {
    float: left;
    position: relative;
    height: 30px;
    line-height: 30px;
}

.nav li .second {
    position: absolute;
    left: 0;
    display: none;
}